INDEX(3F)

NAME
index, rindex, lnblnk, len - tell about character objects

SYNOPSIS
(intrinsic) function index (string, substr)
character*(*) string, substr

integer function rindex (string, substr)
character*(*) string, substr

function lnblnk (string)
character*(*) string

(intrinsic) function len (string)
character*(*) string

DESCRIPTION
Index (rindex) returns the index of the first (last) occurrence of the substring substr in string, or zero if it does not occur. Index is an f77 intrinsic function; rindex is a library routine.

Lnblnk returns the index of the last non-blank character in string. This is useful since all f77 character objects are fixed length, blank padded. Intrinsic function len returns the size of the character object argument.

FILES
/usr/lib/libF77.a